Package org.springframework.beans.factory.config

# Interface YamlProcessor.MatchCallback

Enclosing class:
  YamlProcessor

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface YamlProcessor.MatchCallback
Callback interface used to process the YAML parsing results.

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Properties properties, Map<String,Object> map)`
Process the given representation of the parsing results.

## Method Details

### process

void process(Properties properties, Map<String,Object> map)
Process the given representation of the parsing results.

Parameters:
  `properties` - the properties to process (as a flattened representation with indexed keys in case of a collection or map)
  `map` - the result map (preserving the original value structure in the YAML document)